Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder
Interface RenderableContentBucket

All Superinterfaces
  ContentBucket

All Known Subinterfaces:
  AdBucketService

    public interface RenderableContentBucket

extends ContentBucket

A ContentBucket is an interface which the PlaceholderService uses to obtain content for the PlaceholderTag.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.p13n.placeholder.ContentBucket
`ContentBucket.PreviewInfo`

Method Summary
`Collection` | `previewContent(Request request, String query, boolean renderContent)` Return a collection of PreviewInfo structures which match all of the content for the query.

Methods inherited from interface com.bea.p13n.placeholder.ContentBucket
`getContent, previewContent, removeGlobalQueries, setGlobalQuery`

Method Detail

### previewContent

    Collection previewContent(Request request,
                              String query,
                              boolean renderContent)
                              throws RemoteException,
                                     ContentException

  Return a collection of PreviewInfo structures which match all of the content for the query.

  Parameters
    `Request` -
    `query` - The content query to be previewed
    `renderContent` - true to include the rendering content in the preview, false to not.
  Returns
    a collection of all of the XHTML strings representing the content that would be matched by the content query.
  Throws
    `RemoteException`
    `ContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.